kind: pipeline
name: default

steps:
- name: prends_des_branches
  image: alpine/git
  commands:
    - git submodule init
    - git submodule update --recursive --remote

- name: construis_ton_nid
  image: plugins/hugo
  settings:
    hugo_version: 0.93.0
    extended: false
    validate: true
    #    config: hugo/config.toml
    #    content: hugo/content
    #    layout: hugo/layout
    #    output: hugo/public
    #    theme: hugo/themes/hugo-theme-hello-friend-ng/
    url: https://ewen.korr.bzh

- name: deploy
  image: alpine/git
  environment:
    SCP_KEY:
      from_secret: SCP_KEY
    SCP_HOSTNAME:
      from_secret: SCP_HOSTNAME
    SCP_USER:
      from_secret: SCP_USER
    SCP_PORT:
      from_secret: SCP_PORT
    SCP_COMMAND:
      from_secret: SCP_COMMAND
  commands:
    - mkdir $HOME/.ssh
    - echo "$SCP_KEY" > $HOME/.ssh/id_rsa
    - ssh-keyscan -t rsa -p $SCP_PORT $SCP_HOSTNAME >> $HOME/.ssh/known_hosts
    - chmod -R og-rw $HOME/.ssh/
    - scp -r -P $SCP_PORT -i $HOME/.ssh/id_rsa public $SCP_USER@$SCP_HOSTNAME:~/
    - ssh -p $SCP_PORT -i $HOME/.ssh/id_rsa $SCP_USER@$SCP_HOSTNAME 'rm -rvf /srv/apps/blog/data/www/publcic/*; mv ~/public/* /srv/apps/blog/data/www/public/; docker-compose -f /srv/apps/blog/docker-compose.yml restart; rm -rvf ~/public'
